#!/usr/dist/bin/wishx -f

#
# bind_tr.tcl
# Copyright (C) 1996 by John Heidemann
# This program is released under the Gnu Public License, version 2.
# Comments to <johnh@isi.edu>.
#

proc bind_tr_update {} {
	global rdb monitor_module
	if {! $monitor_module(bind_tr)} {
		# done
		return
	}
	# get location
	set cur_geo [wm geometry .]
	regexp {([-0-9]+)x([-0-9]+)\+([-0-9]+)\+([-0-9]+)} $cur_geo whole_match cur_w cur_h cur_tl_x cur_tl_y
	set cur_tr_x [expr $cur_tl_x+$cur_w]
	set cur_tr_y $cur_tl_y
	# adjust
	if {$cur_tr_x != $rdb(bind_tr.x) || $cur_tr_y != $rdb(bind_tr.y)} {
		set new_tl_x [expr $rdb(bind_tr.x)-$cur_w]
		set new_tl_y $rdb(bind_tr.y)
		wm geometry . +$new_tl_x+$new_tl_y
	}
	# reschedule every ~half minute
	after 59000 bind_tr_update
}

proc bind_tr_start {} {
	global rdb
	set_rdb_default bind_tr.x 100
	set_rdb_default bind_tr.y 100
	bind_tr_update
}

proc bind_tr_stop {} {
	set bind_tr_on 0
}
